#!/bin/bash
# am-i-root.sh:   Suis-je root ou non ?

ROOT_UID=0   # Root a l'identifiant $UID 0.

if [ "$UID" -eq "$ROOT_UID" ]  # Le vrai "root" peut-il se lever, s'il-vous-plaît ?
then
  echo "Vous êtes root."
else
  echo "Vous n'êtes qu'un utilisateur ordinaire (mais maman vous aime quand même)."
fi

exit 0


# ============================================================================= #
# Le code ci-dessous ne s'exécutera pas, parce que le script s'est déjà arrêté.

# Une autre méthode pour arriver au même résultat :

NOM_UTILISATEURROOT=root

nomutilisateur=`id -nu`              # Ou...   nomutilisateur=`whoami`
if [ "$nomutilisateur" = "$NOM_UTILISATEURROOT" ]
then
  echo "Vous êtes root."
else
  echo "Vous n'êtes qu'une personne ordinaire."
fi
